const fs = require("fs");
const path = require("path");

class CreatProject {
  constructor(rootPath, projectName) {
    this.rootPath = rootPath;
    this.projectName = projectName;
    this.subJect = ["img", "css", "js", "upload", "index.html"];
  }
  initProject() {
    //创建文件夹
    let projectPath = path.join(this.rootPath, this.projectName);
    fs.mkdirSync(projectPath);
    // 创建子文件夹
    this.subJect.forEach((file) => {
      if (path.extname(file) == "") {
        let filePath = path.join(projectPath, file);
        fs.mkdirSync(filePath);
      } else {
        let filePath = path.join(projectPath, file);
        fs.writeFileSync(filePath, "");
      }
    });
  }
}

module.exports = {
    CreatProject
}
